using System;

namespace MoonWorks.Audio
{
	public class SubmixVoice : SendableVoice, IReceivableVoice
	{
		public SubmixVoice(
			AudioDevice device,
			uint sourceChannelCount,
			uint sampleRate
		) : base(device, sourceChannelCount, device.DeviceDetails.OutputFormat.Format.nChannels)
		{
			FAudio.FAudio_CreateSubmixVoice(
				device.Handle,
				out handle,
				sourceChannelCount,
				sampleRate,
				0,
				0,
				IntPtr.Zero, // default sends to mastering voice
				IntPtr.Zero
			);
		}
	}
}
